export interface EditProfileFieldObject {
  fieldName: string;
  fieldLabel: string;
  dataToEnter: any | undefined;
  isDefaultField: boolean;
  isConditionalField: boolean;
  isMandatoryField: boolean;
  fieldType: string;
  toSkip: boolean;
  dropDownOptionToSelect: string | undefined;
  listOfOptionsToChooseInMultiSelectDropDown: any | undefined;
}

export class EditProfileData {
  DEFAULT_FIELDS_TC001 = [
    {
      fieldName: "firstName",
      fieldLabel: "FIRST NAME",
      fieldType: "text",
      dataToEnter: "Prateek",
      isDefaultField: true,
      isConditionalField: false,
      isMandatoryField: true,
      toSkip: false,
    },
    {
      fieldName: "lastName",
      fieldType: "text",
      fieldLabel: "LAST NAME",
      dataToEnter: "Automation",
      isDefaultField: true,
      isConditionalField: false,
      isMandatoryField: true,
      toSkip: false,
    },
    {
      fieldName: "designation",
      fieldType: "text",
      fieldLabel: "TITLE",
      dataToEnter: "QA",
      isDefaultField: true,
      isConditionalField: false,
      isMandatoryField: true,
      toSkip: false,
    },
    {
      fieldName: "company",
      fieldType: "text",
      fieldLabel: "COMPANY",
      dataToEnter: "Zuddl",
      isDefaultField: true,
      isConditionalField: false,
      isMandatoryField: false,
      toSkip: false,
    },
    {
      fieldName: "phoneNumber",
      fieldType: "numeric",
      fieldLabel: "PHONE NUMBER",
      dataToEnter: "1234567890",
      isDefaultField: true,
      isConditionalField: false,
      isMandatoryField: false,
      toSkip: false,
    },
    {
      fieldName: "bio",
      fieldType: "text",
      fieldLabel: "BIO",
      dataToEnter: "I am a bot",
      isDefaultField: true,
      isConditionalField: false,
      isMandatoryField: false,
      toSkip: false,
    },
    {
      fieldName: "industry",
      fieldType: "dropdown",
      fieldLabel: "INDUSTRY",
      dropDownOptionToSelect: "Legal",
      isDefaultField: true,
      isConditionalField: false,
      isMandatoryField: false,
      toSkip: false,
    },
    {
      fieldName: "country",
      fieldType: "text",
      fieldLabel: "COUNTRY",
      dataToEnter: "India",
      isDefaultField: true,
      isConditionalField: false,
      isMandatoryField: false,
      toSkip: false,
    },
    {
      fieldName: "linkedin",
      fieldType: "text",
      fieldLabel: "LINKEDIN PROFILE",
      dataToEnter: "https://www.google.com",
      isDefaultField: true,
      isConditionalField: false,
      isMandatoryField: false,
      toSkip: false,
    },
    {
      fieldName: "twitter",
      fieldType: "text",
      fieldLabel: "TWITTER PROFILE",
      dataToEnter: "https://www.google.com",
      isDefaultField: true,
      isConditionalField: false,
      isMandatoryField: false,
      toSkip: false,
    },
    {
      fieldName: "facebook",
      fieldType: "text",
      fieldLabel: "FACEBOOK PROFILE",
      dataToEnter: "https://www.google.com",
      isDefaultField: true,
      isConditionalField: false,
      isMandatoryField: false,
      toSkip: false,
    },
    {
      fieldName: "website",
      fieldType: "text",
      fieldLabel: "WEBSITE",
      dataToEnter: "https://www.google.com",
      isDefaultField: true,
      isConditionalField: false,
      isMandatoryField: false,
      toSkip: false,
    },
  ];

  DEFAULT_FIELDS_TC002 = [
    {
      fieldName: "firstName",
      fieldLabel: "FIRST NAME",
      fieldType: "text",
      dataToEnter: "Prateek",
      isDefaultField: true,
      isConditionalField: false,
      isMandatoryField: true,
      toSkip: false,
    },
    {
      fieldName: "lastName",
      fieldType: "text",
      fieldLabel: "LAST NAME",
      dataToEnter: "Automation",
      isDefaultField: true,
      isConditionalField: false,
      isMandatoryField: true,
      toSkip: false,
    },
    {
      fieldName: "title",
      fieldType: "text",
      fieldLabel: "TITLE",
      dataToEnter: "QA",
      isDefaultField: true,
      isConditionalField: false,
      isMandatoryField: true,
      toSkip: true,
    },
    {
      fieldName: "company",
      fieldType: "text",
      fieldLabel: "COMPANY",
      dataToEnter: "Zuddl",
      isDefaultField: true,
      isConditionalField: false,
      isMandatoryField: false,
      toSkip: true,
    },
    {
      fieldName: "phoneNumber",
      fieldType: "numeric",
      fieldLabel: "PHONE NUMBER",
      dataToEnter: "1234567890",
      isDefaultField: true,
      isConditionalField: false,
      isMandatoryField: false,
      toSkip: true,
    },
    {
      fieldName: "bio",
      fieldType: "text",
      fieldLabel: "BIO",
      dataToEnter: "I am a bot",
      isDefaultField: true,
      isConditionalField: false,
      isMandatoryField: false,
      toSkip: true,
    },
    {
      fieldName: "industry",
      fieldType: "dropdown",
      fieldLabel: "INDUSTRY",
      dropDownOptionToSelect: "Legal",
      isDefaultField: true,
      isConditionalField: false,
      isMandatoryField: false,
      toSkip: true,
    },
    {
      fieldName: "country",
      fieldType: "text",
      fieldLabel: "COUNTRY",
      dataToEnter: "India",
      isDefaultField: true,
      isConditionalField: false,
      isMandatoryField: false,
      toSkip: true,
    },
    {
      fieldName: "linkedin",
      fieldType: "text",
      fieldLabel: "LINKEDIN PROFILE",
      dataToEnter: "https://www.google.com",
      isDefaultField: true,
      isConditionalField: false,
      isMandatoryField: false,
      toSkip: true,
    },
    {
      fieldName: "twitter",
      fieldType: "text",
      fieldLabel: "TWITTER PROFILE",
      dataToEnter: "https://www.google.com",
      isDefaultField: true,
      isConditionalField: false,
      isMandatoryField: false,
      toSkip: true,
    },
    {
      fieldName: "facebook",
      fieldType: "text",
      fieldLabel: "FACEBOOK PROFILE",
      dataToEnter: "https://www.google.com",
      isDefaultField: true,
      isConditionalField: false,
      isMandatoryField: false,
      toSkip: true,
    },
    {
      fieldName: "website",
      fieldType: "text",
      fieldLabel: "WEBSITE",
      dataToEnter: "https://www.google.com",
      isDefaultField: true,
      isConditionalField: false,
      isMandatoryField: false,
      toSkip: true,
    },
  ]

    Custom_Conditional_Fields = [
      {
        fieldName: "firstName",
        fieldLabel: "FIRST NAME",
        fieldType: "text",
        dataToEnter: "Prateek",
        isDefaultField: true,
        isConditionalField: false,
        isMandatoryField: true,
        toSkip: false,
      },
      {
        fieldName: "lastName",
        fieldType: "text",
        fieldLabel: "LAST NAME",
        dataToEnter: "Automation",
        isDefaultField: true,
        isConditionalField: false,
        isMandatoryField: true,
        toSkip: false,
      },
      {
        fieldName: "designation",
        fieldType: "text",
        fieldLabel: "TITLE",
        dataToEnter: "QA",
        isDefaultField: true,
        isConditionalField: false,
        isMandatoryField: true,
        toSkip: false,
      },
      {
        fieldName: "company",
        fieldType: "text",
        fieldLabel: "COMPANY",
        dataToEnter: "Zuddl",
        isDefaultField: true,
        isConditionalField: false,
        isMandatoryField: false,
        toSkip: false,
      },
      {
        fieldName: "phoneNumber",
        fieldType: "numeric",
        fieldLabel: "PHONE NUMBER",
        dataToEnter: "1234567890",
        isDefaultField: true,
        isConditionalField: false,
        isMandatoryField: false,
        toSkip: false,
      },
      {
        fieldName: "bio",
        fieldType: "text",
        fieldLabel: "BIO",
        dataToEnter: "I am a bot",
        isDefaultField: true,
        isConditionalField: false,
        isMandatoryField: false,
        toSkip: false,
      },
      {
        fieldName: "industry",
        fieldType: "dropdown",
        fieldLabel: "INDUSTRY",
        dropDownOptionToSelect: "Legal",
        isDefaultField: true,
        isConditionalField: false,
        isMandatoryField: false,
        toSkip: false,
      },
      {
        fieldName: "country",
        fieldType: "text",
        fieldLabel: "COUNTRY",
        dataToEnter: "India",
        isDefaultField: true,
        isConditionalField: false,
        isMandatoryField: false,
        toSkip: true,
      },
      {
        fieldName: "linkedin",
        fieldType: "text",
        fieldLabel: "LINKEDIN PROFILE",
        dataToEnter: "https://www.google.com",
        isDefaultField: true,
        isConditionalField: false,
        isMandatoryField: false,
        toSkip: false,
      },
      {
        fieldName: "twitter",
        fieldType: "text",
        fieldLabel: "TWITTER PROFILE",
        dataToEnter: "https://www.google.com",
        isDefaultField: true,
        isConditionalField: false,
        isMandatoryField: false,
        toSkip: false,
      },
      {
        fieldName: "facebook",
        fieldType: "text",
        fieldLabel: "FACEBOOK PROFILE",
        dataToEnter: "https://www.google.com",
        isDefaultField: true,
        isConditionalField: false,
        isMandatoryField: false,
        toSkip: false,
      },
      {
        fieldName: "website",
        fieldType: "text",
        fieldLabel: "WEBSITE",
        dataToEnter: "https://www.google.com",
        isDefaultField: true,
        isConditionalField: false,
        isMandatoryField: false,
        toSkip: false,
      },
      {
        fieldName:"Which city has the best food?",
        fieldLabel: "Which city has the best food?",
        fieldType: "dropdown",
        dropDownOptionToSelect: "Chennai",
        isDefaultField: false,
        isConditionalField: false,
        toSkip: false,
        isMandatoryField: true,
      },

      // Comes after Selecting any option other than delhi
      {
        fieldName:"Why this city has best food?",
        fieldLabel: "Why this city has best food?",
        fieldType: "text",
        dataToEnter: "It deserves this much",
        isDefaultField: false,
        toSkip: false,
        isMandatoryField: true,
        isConditionaField: true
      },
    ]

}
